function init(hero) {
    hero.setName("Gilgamesh/\u00A7d\u00A7lKNIGHTS\u00A7r");
    hero.setTier(4);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("knights:eternal_physiology_gilgamesh", "knights:celestial_armor");
    hero.addAttribute("PUNCH_DAMAGE", 7.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.7, 0);
    hero.addAttribute("FALL_RESISTANCE", 100, 0);
    hero.addAttribute("SPRINT_SPEED", 0.15, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 1, 0);
    hero.addAttribute("MAX_HEALTH", 4.5, 0);
    
    hero.addKeyBind("CHARGED_PUNCH", "Energy Exoskeleton", 1);
    hero.addKeyBind("SLOW_MOTION", "Superhuman Reflexes", 2);
    hero.addKeyBind("SUPER_SPEED", "Superhuman Speed", 3);

    hero.addAttributeProfile("PUNCH", punchProfile);
    hero.addAttributeProfile("BLUNT", bluntProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function punchProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 8.5, 0);
    profile.addAttribute("KNOCKBACK", 2.5, 0);
}

function bluntProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 15, 0);
    profile.addAttribute("FALL_RESISTANCE", 5, 0);
    profile.addAttribute("BASE_SPEED", -0.3, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:punchmode") ? entity.getData("fiskheroes:punch_charged") ? "PUNCH" : "BLUNT" : null;
}
function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}